Subject: bug#18370: insert-file-contents: forbids also beg, end for non-regular (special) files

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 11 Jun 2022 14:40:27 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Simple test case:
>
> (insert-file-contents "/dev/urandom" nil nil 10)
>
> This still fails in Emacs 29, and it would indeed be nice if it worked.
> I seem to remember this being discussed previously, and that...  er...
> no, I can't really recall anything more than that.
>
> Does anybody see any good reasons why we shouldn't allow this?  If not,
> I can take a stab at implementing it...

There were no objections, so I've now added this to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no